# T-Rex

Hooks, Controller-pattern, and Datatype extensions to make development easier and efficient. T-Rex is a compact, simple State Management solution for your Flutter Applications, implemented without using Streams or any complicated abstractions. 

Most State Management solutions use Streams to notify changes to data. This becomes highly unintuitive and inefficient when you have a lot of state variables and data changes to watch out for. T-Rex doesn't use Streams, and use basic features of Dart to provide a wide-variety of State Management solutions.

## `Tx<T>` Trackable Variables

```dart
Tx<int> count = Tx(
    0,
    afterChange: (_) {
        this.setState(() {});
    }
);
```
The simplest way to manage state, for very simple widgets and screens.